Jump to
Ctrl
+
/

Add Asset to Address

PUT
/vaults/{vaultId}/vault-accounts/{vaultAccountId}/add-asset

This endpoint adds a specific asset to an existing vault account and creates an address for it if one does not already exist, enabling the asset to be tracked, receive balances, and be used in future transactions.

Path Parameters

vaultAccountId string Required

Unique identifier of the vault account to which the asset will be added.

vaultId string Required

Unique identifier of the vault that owns the vault account.

Query Parameters

context string Optional

In batch situations the user can use the context to correlate responses with requests. This property is present regardless of whether the response was successful or returned as an error. context is specified by the user.

Request Body Schema application/json

context string Optional

In batch situations the user can use the context to correlate responses with requests. This property is present regardless of whether the response was successful or returned as an error. context is specified by the user.

data object Required
item object Required
address string Optional

Address to associate with the asset. Used when the target address for adding the asset already exists in the vault account. Optional, but required if label is not provided.

assetId string Required

Unique identifier of the asset to be added.

label string Optional

Optional, but required if address is not provided. Used when there is no existing address for the asset in the vault account.

Response Schema

apiVersion string Required

Specifies the version of the API that incorporates this endpoint.

2026-03-20
requestId string Required

Defines the ID of the request. The requestId is generated by Vaultody and it's unique for every request.

601c1710034ed6d407996b30
context string Optional

In batch situations the user can use the context to correlate responses with requests. This property is present regardless of whether the response was successful or returned as an error. context is specified by the user.

yourExampleString
data object Required
item object Required
address string Required

Blockchain address associated with the asset.

0xa5bd60af2ed1499ce8292bb2e6c0179dcea34f33
assetUnit string Required

Ticker symbol of the added asset (e.g.,ETH, BTC, TRX, USDT).

ETH
balance string Required

Current balance of the asset in the address.

0
contractAddress string Required

Smart contract address of the token.

0xdac17f958d2ee523a2206206994597c13d831ec7
decimals string Required

Number of decimal places supported by the asset.

6

Credits Cost : 0 Credits for 1 Results

Was this page helpful?
Yes
No
Powered by
Language
URL

{
    "apiVersion": "2026-03-20",
    "requestId": "601c1710034ed6d407996b30",
    "context": "yourExampleString",
    "data": {
        "item": {
            "address": "0xa5bd60af2ed1499ce8292bb2e6c0179dcea34f33",
            "assetUnit": "ETH",
            "balance": "0",
            "contractAddress": "0xdac17f958d2ee523a2206206994597c13d831ec7",
            "decimals": "6"
        }
    }
}